GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
OGRTriangulatedSurface Class Reference

TriangulatedSurface class. More...

`#include <ogr_geometry.h>`

Inheritance diagram for OGRTriangulatedSurface:

## Public Member Functions
| OGRTriangulatedSurface ()
| Constructor.
| OGRTriangulatedSurface (const OGRTriangulatedSurface &other)
| Copy constructor.
| ~OGRTriangulatedSurface ()
| Destructor. More...
OGRTriangulatedSurface & | operator= (const OGRTriangulatedSurface &other)
| Assignment operator.
virtual const char * | getGeometryName () const CPL_OVERRIDE
| Returns the geometry name of the TriangulatedSurface. More...
virtual OGRwkbGeometryType | getGeometryType () const CPL_OVERRIDE
| Returns the WKB Type of TriangulatedSurface. More...
virtual OGRErr | addGeometry (const OGRGeometry *) CPL_OVERRIDE
| Add a new geometry to a collection. More...
Public Member Functions inherited from OGRPolyhedralSurface
| OGRPolyhedralSurface ()
| Create an empty PolyhedralSurface.
| OGRPolyhedralSurface (const OGRPolyhedralSurface &poGeom)
| Copy constructor.
virtual | ~OGRPolyhedralSurface ()
| Destructor. More...
OGRPolyhedralSurface & | operator= (const OGRPolyhedralSurface &other)
| Assignment operator.
virtual int | WkbSize () const CPL_OVERRIDE
| Returns size of related binary representation. More...
virtual OGRErr | importFromWkb (unsigned char *, int=-1, OGRwkbVariant=wkbVariantOldOgc) CPL_OVERRIDE
| Assign geometry from well known binary data. More...
virtual OGRErr | exportToWkb (OGRwkbByteOrder, unsigned char *, OGRwkbVariant=wkbVariantOldOgc) const CPL_OVERRIDE
| Convert a geometry into well known binary format. More...
virtual OGRErr | importFromWkt (char **) CPL_OVERRIDE
| Assign geometry from well known text data. More...
virtual OGRErr | exportToWkt (char **ppszDstText, OGRwkbVariant=wkbVariantOldOgc) const CPL_OVERRIDE
| Convert a geometry into well known text format. More...
virtual int | getDimension () const CPL_OVERRIDE
| Get the dimension of this object. More...
virtual void | empty () CPL_OVERRIDE
| Clear geometry information. More...
virtual OGRGeometry * | clone () const CPL_OVERRIDE
| Make a copy of this object. More...
virtual void | getEnvelope (OGREnvelope *psEnvelope) const CPL_OVERRIDE
| Computes and returns the bounding envelope for this geometry in the passed psEnvelope structure. More...
virtual void | getEnvelope (OGREnvelope3D *psEnvelope) const CPL_OVERRIDE
| Computes and returns the bounding envelope (3D) for this geometry in the passed psEnvelope structure. More...
virtual void | flattenTo2D () CPL_OVERRIDE
| Convert geometry to strictly 2D. More...
virtual OGRErr | transform (OGRCoordinateTransformation *) CPL_OVERRIDE
| Apply arbitrary coordinate transformation to geometry. More...
virtual OGRBoolean | Equals (OGRGeometry *) const CPL_OVERRIDE
| Returns TRUE if two geometries are equivalent. More...
virtual double | get_Area () const CPL_OVERRIDE
| Returns the area enclosed. More...
virtual OGRErr | PointOnSurface (OGRPoint *) const CPL_OVERRIDE
| This method relates to the SFCOM ISurface::get_PointOnSurface() method. More...
virtual OGRBoolean | hasCurveGeometry (int bLookForNonLinear=FALSE) const CPL_OVERRIDE
| Returns if this geometry is or has curve geometry. More...
OGRErr | addGeometryDirectly (OGRGeometry *poNewGeom)
| Add a geometry directly to the container. More...
int | getNumGeometries () const
| Fetch number of geometries in PolyhedralSurface. More...
OGRGeometry * | getGeometryRef (int i)
| Fetch geometry from container. More...
const OGRGeometry * | getGeometryRef (int i) const
| Fetch geometry from container. More...
virtual OGRBoolean | IsEmpty () const CPL_OVERRIDE
| Checks if the PolyhedralSurface is empty. More...
virtual void | setCoordinateDimension (int nDimension) CPL_OVERRIDE
| Set the coordinate dimension. More...
virtual void | set3D (OGRBoolean bIs3D) CPL_OVERRIDE
| Set the type as 3D geometry.
virtual void | setMeasured (OGRBoolean bIsMeasured) CPL_OVERRIDE
| Set the type as Measured.
virtual void | swapXY () CPL_OVERRIDE
| Swap x and y coordinates.
OGRErr | removeGeometry (int iIndex, int bDelete=TRUE)
| Remove a geometry from the container. More...
Public Member Functions inherited from OGRGeometry
| OGRGeometry (const OGRGeometry &other)
| Copy constructor. More...
OGRGeometry & | operator= (const OGRGeometry &other)
| Assignment operator. More...
virtual int | getCoordinateDimension () const
| Get the dimension of the coordinates in this object. More...
int | CoordinateDimension () const
| Get the dimension of the coordinates in this object. More...
virtual OGRBoolean | IsValid () const
| Test if the geometry is valid. More...
virtual OGRBoolean | IsSimple () const
| Test if the geometry is simple. More...
OGRBoolean | Is3D () const
OGRBoolean | IsMeasured () const
virtual OGRBoolean | IsRing () const
| Test if the geometry is a ring. More...
OGRwkbGeometryType | getIsoGeometryType () const
| Get the geometry type that conforms with ISO SQL/MM Part3. More...
virtual void | dumpReadable (FILE *, const char *=NULL, char **papszOptions=NULL) const
| Dump geometry in well known text format to indicated output file. More...
virtual char * | exportToGML (const char *const *papszOptions=NULL) const
| Convert a geometry into GML format. More...
virtual char * | exportToKML () const
| Convert a geometry into KML format. More...
virtual char * | exportToJson () const
| Convert a geometry into GeoJSON format. More...
virtual GEOSGeom | exportToGEOS (GEOSContextHandle_t hGEOSCtxt) const CPL_WARN_UNUSED_RESULT
| Returns a GEOSGeom object corresponding to the geometry. More...
virtual OGRGeometry * | getCurveGeometry (const char *const *papszOptions=NULL) const CPL_WARN_UNUSED_RESULT
| Return curve version of this geometry. More...
virtual OGRGeometry * | getLinearGeometry (double dfMaxAngleStepSizeDegrees=0, const char *const *papszOptions=NULL) const CPL_WARN_UNUSED_RESULT
| Return, possibly approximate, non-curve version of this geometry. More...
virtual void | closeRings ()
| Force rings to be closed. More...
void | assignSpatialReference (OGRSpatialReference *poSR)
| Assign spatial reference to this object. More...
OGRSpatialReference * | getSpatialReference (void) const
| Returns spatial reference system for object. More...
OGRErr | transformTo (OGRSpatialReference *poSR)
| Transform geometry to new spatial reference system. More...
virtual void | segmentize (double dfMaxLength)
| Modify the geometry such it has no segment longer then the given distance. More...
virtual OGRBoolean | Intersects (const OGRGeometry *) const
| Do these features intersect? More...
virtual OGRBoolean | Disjoint (const OGRGeometry *) const
| Test for disjointness. More...
virtual OGRBoolean | Touches (const OGRGeometry *) const
| Test for touching. More...
virtual OGRBoolean | Crosses (const OGRGeometry *) const
| Test for crossing. More...
virtual OGRBoolean | Within (const OGRGeometry *) const
| Test for containment. More...
virtual OGRBoolean | Contains (const OGRGeometry *) const
| Test for containment. More...
virtual OGRBoolean | Overlaps (const OGRGeometry *) const
| Test for overlap. More...
virtual OGRGeometry * | Boundary () const CPL_WARN_UNUSED_RESULT
| Compute boundary. More...
virtual double | Distance (const OGRGeometry *) const
| Compute distance between two geometries. More...
virtual OGRGeometry * | ConvexHull () const CPL_WARN_UNUSED_RESULT
| Compute convex hull. More...
virtual OGRGeometry * | Buffer (double dfDist, int nQuadSegs=30) const CPL_WARN_UNUSED_RESULT
| Compute buffer of geometry. More...
virtual OGRGeometry * | Intersection (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute intersection. More...
virtual OGRGeometry * | Union (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute union. More...
virtual OGRGeometry * | UnionCascaded () const CPL_WARN_UNUSED_RESULT
| Compute union using cascading. More...
virtual OGRGeometry * | Difference (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute difference. More...
virtual OGRGeometry * | SymDifference (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute symmetric difference. More...
virtual OGRErr | Centroid (OGRPoint *poPoint) const
| Compute the geometry centroid. More...
virtual OGRGeometry * | Simplify (double dTolerance) const CPL_WARN_UNUSED_RESULT
| Simplify the geometry. More...
OGRGeometry * | SimplifyPreserveTopology (double dTolerance) const CPL_WARN_UNUSED_RESULT
| Simplify the geometry while preserving topology. More...
virtual OGRGeometry * | DelaunayTriangulation (double dfTolerance, int bOnlyEdges) const CPL_WARN_UNUSED_RESULT
| Return a Delaunay triangulation of the vertices of the geometry. More...
virtual OGRGeometry * | Polygonize () const CPL_WARN_UNUSED_RESULT
| Polygonizes a set of sparse edges. More...
virtual double | Distance3D (const OGRGeometry *poOtherGeom) const
| Returns the 3D distance between two geometries. More...

## Static Public Member Functions
static OGRPolyhedralSurface * | CastToPolyhedralSurface (OGRTriangulatedSurface *poTS)
| Casts the OGRTriangulatedSurface to an OGRPolyhedralSurface. More...
Static Public Member Functions inherited from OGRPolyhedralSurface
static OGRMultiPolygon * | CastToMultiPolygon (OGRPolyhedralSurface *poPS)
| Casts the OGRPolyhedralSurface to an OGRMultiPolygon. More...
Static Public Member Functions inherited from OGRGeometry
static GEOSContextHandle_t | createGEOSContext ()
| Create a new GEOS context. More...
static void | freeGEOSContext (GEOSContextHandle_t hGEOSCtxt)
| Destroy a GEOS context. More...

## Detailed Description

TriangulatedSurface class.

Since
  GDAL 2.2

## Constructor & Destructor Documentation

OGRTriangulatedSurface::~OGRTriangulatedSurface | ( |  | ) |

Destructor.

## Member Function Documentation

OGRErr OGRTriangulatedSurface::addGeometry | ( | const OGRGeometry * | poNewGeom | ) |
| virtual

Add a new geometry to a collection.

Only a POLYGON can be added to a POLYHEDRALSURFACE.

Returns
  OGRErr OGRERR_NONE if the polygon is successfully added

Reimplemented from OGRPolyhedralSurface.

OGRPolyhedralSurface * OGRTriangulatedSurface::CastToPolyhedralSurface | ( | OGRTriangulatedSurface * | poTS | ) |
| static

Casts the OGRTriangulatedSurface to an OGRPolyhedralSurface.

The passed in geometry is consumed and a new one returned (or NULL in case of failure)

Parameters

  poTS | the input geometry - ownership is passed to the method.

Returns
  new geometry.

const char * OGRTriangulatedSurface::getGeometryName | ( |  | ) | const
| virtual

Returns the geometry name of the TriangulatedSurface.

Returns
  "TIN"

Reimplemented from OGRPolyhedralSurface.

OGRwkbGeometryType OGRTriangulatedSurface::getGeometryType | ( |  | ) | const
| virtual

Returns the WKB Type of TriangulatedSurface.

Reimplemented from OGRPolyhedralSurface.

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrtriangulatedsurface.cpp

Generated for GDAL by 1.8.9.1.